clear
which bash
zsh
clear
echo $SHELL
clear
sudo vim ~/.zshrc
cd .config/blender/3.3/scripts
ls
cd addons
ls
cd MeasureIt_ARCH
clear
cd
ls
clear
sudo dnf upgrade --refresh
clear
echo 'fastestmirror=1' | sudo tee -a /etc/dnf/dnf.conf
echo 'max_parallel_downloads=10' | sudo tee -a /etc/dnf/dnf.conf\

clear
cd .config/blender/3.3/scripts/addons
ls
cd MeasureIt_ARCH
ls
git fetch
git status
clear
git status
git pull
clear
git status
clear
ls
where is demo
clear
ranger
cldar
clear
blender
clear
sudo dnf upgrade --refresh
clear
reboot
sudo dnf install kitty
clear
clear
sudo dnf upgrade --refresh
clear
ranger
sudo cp Mononoki/ /usr/share/fonts/
sudo cp -r Mononoki/ /usr/share/fonts/
clear
git config --global user.name "ehsanc"
git config --global user.email "ar.charoliaehsan@gmail.com"
git config --global core.autocrlf input
clear
ls
clear
vim .zshrc
sudo vim .zshrc
zsh
clear
sudo vim .zshrc
clear
kate
kwrite
cd .ssh
ls
kate id_ed25519.pub
kwrite id_ed25519.pub
git clone --bare git@gitlab.com:ar.charoliaehsan/dotfiles.git $HOME/.dotfiles\

dfbu checkout
cd .config/fish
ls
sudo rm config.fish
clear
cd
dfbu checkout
sudo dfbu checkout
dfbu checkout
clear
dfbu checkout
dfbu status
dfbu config --local status.showUntrackedFiles no\

dfbu status
dfbu commit -m "post install notes removed"
dfbu status
dfbu add -a
dfbu add learninglinux/postInstall.md\

dfbu status
dfbu commit -m "post install steps removed"
dfub status
dfbu status
clear
dfbu status
dfbu fetch
dfbu status
clear
cd .config/kitty/kitty.conf
sudo vim .config/kitty/kitty.conf
dfbu status
dfbu pull
git config pull.rebase true
dfbu config pull.rebase true
clear
dfbu status
dfbu pull
dfbu fetch
dfbu status
clear
cd .config/fish/
ls
vim config.fish
clear
sudo dnf upgrade --refresh
clear
ls -a
cd
ls -a
dfbu add .zshrc
dfbu status
dfbu commit -m "switching to zsh"
dfbu push
git push --set-upstream origin main
dfbu push --set-upstream origin main
clear
sudo vim .zshrc
ls
ls -a
clear
vim
sudo vim .zshrc
sudo vim .zshrc
clear
ls -a
cd .config
ls
mkdir zsh_plugins
cd zsh_plugins
ls
clear
git clone --depth 1 -- https://github.com/marlonrichert/zsh-autocomplete.git
clear
cd
cd zsh_plugins
cd .config/zsh_plugins
ls
cd zsh-autocomplete
ls
pwd
sudo dnf upgrade --refresh
ls -a
cd .dotfiles
ls
clear
cd Softwares
ls
clear
cd
cd .config
cd blender/3.3/scripts
addons
sverchok
git status
git fetch
git status
git pull
clear
git status
clear
sudo dnf remove zsh-syntax-highlighting-0.7.1-5.fc36.noarch
clear
cd .config/zsh_plugins
ls
mkdir zsh_syntax_highlighting
cd zsh_syntax_highlighting
git clone https://github.com/zsh-users/zsh-syntax-highlighting.git\
echo "source ${(q-)PWD}/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh" >> ${ZDOTDIR:-$HOME}/.zshrc
clear
cd
zsh
sudo dnf uprade --refresh
sudo dnf upgrade --refresh
echo "asdkfjasdf" && echo "checke"
clear
dfbu status
dfbu add .zshrc
dfbu status
clear
dfbu commit -m "setup zsh configuration"
dfbu push
clear
cmatrix -C grey
cmatrix -C yellow
clear
dnf search zsh-syntax-highlighting
sudo dnf install zsh-syntax-highlighting
clear
zsh
ls -a
dfbu status
clear
cd Softwares/Blender/blender-3.3.0-linux-x64
ls
blender
pwd
cd
/home/ehsan/Softwares/Blender/blender-3.3.0-linux-x64/blender
htop
htop
clear
npm --version
clear
dfbu status
clear
sudo dnf upgrade --refresh
clear
man killall
killall
killall blender
clear
clear
vim
clear
cd /usr/share/applications
ls
sudo rm blender.desktop
clear
ls
vim
free -h
clear
cd Pictures
ls
clear
cd
ls
ls
cd Pictures
ls
ls -a
cd
clear
shutdown now
vim .zshrc
cd .config/blender/3.3/scripts/addons
ls
cd MeasureIt_ARCH
git fetch
git status
clear
..
cd dsver
cd sverchok
git fetch
git status
git pull
clelar
clear
git status
..
sverchok-extra-master
ls
ls -a
git pull
ls -a
..
clear
ls
cd tissue
ls
git status
git pull
git status
git fetch
git status
clera
clear
cd
clear
sudo snap refresh
sudo dnf upgrade --refresh
cd .config/zsh_plugins
clear
ls
git clone https://github.com/zsh-users/zsh-autosuggestions ~/.zsh/zsh-autosuggestions
clear
cd .config/zsh_plugins
pwd
ls
clear
ls -a
clear
cd zsh-autocomplete
ls
\
..
..
ls -a
clear
zsh_plugins
ls
\
cd .config/zsh_plugins
ls
clear
cd
cd .zsh
ls
..
sudo rm -rf .zsh/
clear
cd .config/zsh_plugins
git clone https://github.com/zsh-users/zsh-autosuggestions
clear
cd .config/zsh_plugin;
cd
clear
vim .zshrc
sudo dnf upgrade --refresh
clear
ip a
clear
ip a
clear
neofetch
clear
clear
neofetch
clea
clear
dfbu status
dfbu add .zshrc
dfbu commit -, "enabled autosuggestions for zsh"
dfbu push
clear
sudo dnf upgrade --refresh
sudo dnf install thunderbird
clear
thunderbird
clear
flatpak upgrade
clear
dfbu status
dfbu status
dfbu commit -m "zsh config upated"
dfbu push
clear
dfbu status
clear
sudo dnf upgrade --refresh
curl -sLf https://spacevim.org/install.sh | bash
nvim
clear
vim
nvim
nvim
clear
vim
cd learninglinux/
mkdir spacevim/
sudo mkdir spacevim/
clear
spacevim
touch scripttest.py
clear
clear
touch scripttest.py
sudo touch scripttest.py
clear
vim scripttest.py
sudo vim
vim
vim
vim
vim
vim
vim
sudo mkdir .cache/SpaceVim/conf
clear
cd
vim
vim .zshrc
clear
curl -sLf https://spacevim.org/install.sh | bash -s -- --uninstall
clear
vim
mvim
vim
nvim
bash
ls -a
curl -sLf https://spacevim.org/install.sh | bash
sudo dnf upgrade --refresh
clear
sudo vim
vim
curl -sLf https://spacevim.org/install.sh | bash -s -- --uninstall
clear
vim
nvim
clear
vim .bashrc
cd Softwares/Blender/blender-3.3.0-linux-x64
ls
pwd
sudo vim .zshrc
touch learninglinux/c/test1.cpp
mkdir learninglinux/cpp/test1/cpp
sudo mkdir learninglinux/cpp
cd learninglinux/cpp
touch test1.cpp
sudo vim test1.cpp
clear
..
sudo rm -rf cpp
clear
ls
sudo rm -rf spacevim
clear
cd
ls
ls -a
\
cd .cache
ls
sudo rm -rf SpaceVim
clea
clear
fls
clear
ls -a
clear
curl -sLf https://spacevim.org/install.sh | bash -s -- --uninstall
clear
vim
vim learninglinux/spacevim/scripttest.py
clear
vim learninglinux/spacevim/scripttest.py
sudo vim learninglinux/spacevim/scripttest.py
clear
cd learninglinux/spacevim
s
ls
ls
ls -a
python3 scripttest.py
clear
cd .config/
ls
cd
clear
blender
sudo vim .zshrc
zsh
clear
blender
clear
git clone --depth 1 https://github.com/doomemacs/doomemacs ~/.emacs.d
clear
~/.emacs.d/bin/doom install
sudo vim .zshrc
dnf install emacs git ripgrep
sudo dnf install emacs git ripgrep
dnf install fd-find
sudo dnf install fd-find
clear
~/.emacs.d/bin/doom install
emacs
emacsclient -c -a 'emacs'
clear
sudo vim .zshrc
clear
cd .doom.d
ls
vim config.el
sudo vim config.el
emacs
cd
ls
clear
sudo vim .doom.d/init.el
sudo emacs .doom.d/init.el
sudo vim .doom.d/init.el
doomsync
clear
doomupgrade
clear
emacs
sudo vim .zshrc
emacsclient -c -a
emacsclient -c
clear
emacs
cd learninglinux/
ls
bashscripting/
ls
sudo emacs helloscript.sh
emacs
sudo emacs
clear
sudo vim .zshrc
zsh
emacs
sudo vim .zshrc
zsh
emacs
clear
emacs
dfbu status
dfbu add .zshrc
cd .doom.d
ls
dfbu add config.el init.el
dfbu status
dfbu commit -m "adding doom emacs config"
dfbu push
clear
flatpak install flathub com.visualstudio.code
flatpak run com.visualstudio.code
flatpak list
flatpak uninstall com.visualstudio.code
clear
cd Softwares/Visual\ Studio\ Code
ls
sudo rpm -i code-1.71.2-1663191299.el7.x86_64.rpm
clear
mkdir learningprogramming/
cd learningprogramming
mkdir python/
cd python
touch matplotbar.py
sudo vim matplotbar.py
python3 matplotbar.py
pip install matplotlib
cd
cd
clear
sudo vim .zshrc
clear
pip install matplotlib
clear
dfbu status
dfbu add .zshrc
dfbu commit -m "added path for bin"
dfbu push
clear
cd learningprogramming/
ls
python/
ls
python3 matplotbar.py
ls
emacs matplotbar.py
emacs matplotbar.py
emacs matplotbar.py
cd
emacs .doom.d/init.el
clear
cd learninglinux/bashscripting
ls
sudo cp helloscript.sh ~/MyScripts
cd
clear
cd MyScripts
ls
clear
cd
helloscript.sh
clear
sudo vim .zshrc
clear
zsh
blender
code
ls
cd learninglinux
ls
clear
cd
mkdir Scripts/
ls
sudo rm -rf Scripts/
clear
mkdir MyScripts
clear
sudo vim .zshrc
zsh
clear
cd learningprogramming/python
python3 matplotbar.py
python3 matplotbar.py
cd
cd Documents
ls
git clone --recursive https://github.com/IfcOpenShell/IfcOpenshell.git
git status
clear
clear
dfbu status
sudo dnf upgrade --refresh
clear
cd .cache/
zsh/
ls
ls -a
..
clear
cd
ranger
cd
ls -a
dfbu add .histfile
dfbu status
dfbu commit - "added history file for zsh"
dfbu commit -m "added history file for zsh"
dfbu push
clear
dfbu status
clear
vim .histfile
clear
dfbu status
clear
sudo dnf upgrade --refresh
reboot
sudo dnf upgrade --refresh
clear
flatpak upgrade
base
rpm -qa *libreoffice*
bash
flatpak install flathub org.libreoffice.LibreOffice
clear
postgres --version
clear
\
\
sudo dnf install postgresql-server postgresql-contrib\
\

clear
sudo dnf upgrade --refresh
clear
cd .config/blender/3.3/scripts/addons
ls
MeasureIt_ARCH
git fetch
git status
clear
..
ls
cd sverchok
git fetch
git status
git pull
clear
git status
..
ls
tissue
git fetch
clear
..
ls
sverchok-extra-master
git fetch
..
clear
dfbu status
blender
sudo dnf upgrade --refresh
flatpak upgrade
sudo dnf upgrade --refresh
clear
 /usr/bin/env /bin/python /home/ehsan/.vscode/extensions/ms-python.python-2022.14.0/pythonFiles/lib/python/debugpy/adapter/../../debugpy/launcher 38085 -- "" 
cd python
ls
python3 test1.py
sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \\
       https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
cd .config/
ls
ls -a
nvim
vim
clear
cd .config/nvim/init.vim
cd .config/nvim/
mkdir .config/nvim
ls
cd .config/nvim/
ls
touch init.vim
vim init.vim
sudo vim init.vim
sudo dnf upgrade --refresh
where is nvim
which nvim
clear
.local/share/
ls
ls -a
nvim/
ls
clear
sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \\
       https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
clear
cd .config/nvim/
sudo vim init.vim
nvim
vim
cd .config/nvim/
sudo vim init.vim
PlugInstall
clear
vim
cd
cd .config/nvim/
sudo vim init.vim
nvim
vim
cd .config/nvim/
sudo vim init.vim
clear
vim
clear
cd .config/nvim/
sudo vim init.vim
vim
vim
cd learningprogramming/python
touch test2.py
sudo vim test2.py
cd .config/blender/3.3/scripts/addons
ls
cd sverchok
git fetch
git pull
clear
..
cd MeasureIt_ARCH
git fetch
git pull
clear
..
ls
cd CAD_Sketcher
git fetch
git status
git pull
clear
..
ls
sudo dnf upgrade --refresh
clear

sudo yum install libXcomposite libXcursor libXi libXtst libXrandr alsa-lib mesa-libEGL libXdamage mesa-libGL libXScrnSaver
clear
Softwares/Anaconda
ls
pwd
cd
shasum -a 256 /home/ehsan/Softwares/Anaconda/Anaconda3-2022.05-Linux-x86_64.sh\

bash
clear
source [PATH TO CONDA]/bin/activate
conda
conda --version
clear
conda init
anaconda
conda config --set auto_activate_base True
anaconda
anaconda -h
conda init
bash
/home/ehsan/anaconda3/bin/conda init zsh
